Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039694
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Sessionsmajorhave not tried2018-11-26 20:592018-12-07 12:09
ReporteradrianromeroView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in VersionRR19Q1
StatusclosedFix in branchFixed in SCM revision2e601a9081f6
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039694: When login in POS the application shows a message showing the business date has changed but showing the same date

DescriptionAfter executing a cashup and login again the application shows the message that the business date has changed but the business date has not changed.
Steps To Reproduce* Log in https://livebuilds.openbravo.com/retail_modules_pgsql_pi/web/org.openbravo.retail.posterminal/?terminal=VBS-1#retail.pointofsale [^]
* Execute the cashup process, the application will logout automatically
* Log in again
* Execute the Open till steps and after the till opens successfully the following message appears:

The current Business Date (26-11-2018) will be replaced by the store Business Date (26-11-2018)

See screenshot attached


Proposed SolutionApply attached patch that uses function OB.I18N.parseServerDate() instead of new Date() to avoid problems with changes made by timezones postives and negatives
TagsNo tags attached.
Attached Filespng file icon Captura de pantalla de 2018-11-26 15-01-50.png [^] (106,855 bytes) 2018-11-26 21:02


diff file icon issue39694.diff [^] (3,787 bytes) 2018-11-27 17:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0108317)
hgbot (developer)
2018-12-06 14:19

Repository: erp/pmods/org.openbravo.retail.sessions
Changeset: 2e601a9081f6873d1865fe44b7b90d9f7a369a66
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Thu Dec 06 18:49:45 2018 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/2e601a9081f6873d1865fe44b7b90d9f7a369a66 [^]

Fixed issue 39694: When login in POS the application shows a message showing the business date has changed but showing the same date

* Terminal Business date and lcoalStorage Business date should be parsed using API to avoid the timezone errors

---
M web/org.openbravo.retail.sessions/js/components/loginhook.js
M web/org.openbravo.retail.sessions/js/countcash/countcash.js
---

- Issue History
Date Modified Username Field Change
2018-11-26 20:59 adrianromero New Issue
2018-11-26 20:59 adrianromero Assigned To => Retail
2018-11-26 20:59 adrianromero Triggers an Emergency Pack => No
2018-11-26 21:01 adrianromero Description Updated View Revisions
2018-11-26 21:02 adrianromero File Added: Captura de pantalla de 2018-11-26 15-01-50.png
2018-11-27 17:05 adrianromero File Added: issue39694.diff
2018-11-27 17:07 adrianromero Proposed Solution updated
2018-11-28 08:09 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2018-11-28 08:09 ranjith_qualiantech_com Status new => scheduled
2018-12-06 14:19 hgbot Checkin
2018-12-06 14:19 hgbot Note Added: 0108317
2018-12-06 14:19 hgbot Status scheduled => resolved
2018-12-06 14:19 hgbot Resolution open => fixed
2018-12-06 14:19 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sessions/rev/2e601a9081f6873d1865fe44b7b90d9f7a369a66 [^]
2018-12-07 12:09 marvintm Review Assigned To => marvintm
2018-12-07 12:09 marvintm Status resolved => closed
2018-12-07 12:09 marvintm Fixed in Version => RR19Q1


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker